• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Struts2 on WebSphere 7

 
dennis zined
Ranch Hand
Posts: 330
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I discovered that using Struts2 on WebSphere 6.1 require setting up this property for Struts 2 to work:



Now, we're moving to WebSphere 7 and finding some new issues. Is there a trick to getting Struts2/Spring to work with WebSphere 7?

Struts2 works if I remove the following:

1. This entry (below) in web.xml:



2. The following JARS:
- Spring.jar
- struts2-spring-plugin-2.1.6.jar

So if I need to use Spring in conjunction to Struts2 what do I need to do?

*** I'm using RAD7.5 and WebSphere 7.0 (yes, I've updated it with latest fixpacks)

Thanks!
 
Jeanne Boyarsky
author & internet detective
Marshal
Posts: 34973
379
Eclipse IDE Java VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Dennis,
It might help if you share what the issues are. What error message do you get if you don't remove anything?

I've noticed RSA 7.5 is still buggy so it could be an issue that requires a PMR to resolve. Have you searched developerworks for the error message yet.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic